Name:         perl-Compress-Raw-Bzip2
Version:      2.095
Release:      1
Summary:      Low-Level Interface to bzip2 compression library
License:      (GPL or Artistic) and BSD
URL:          https://metacpan.org/release/Compress-Raw-Bzip2
Source0:      https://cpan.metacpan.org/authors/id/P/PM/PMQS/Compress-Raw-Bzip2-%{version}.tar.gz

#prereq
BuildRequires: gcc gdb perl(ExtUtils::MakeMaker) perl-interpreter perl-generators bzip2-devel perl-devel

Requires:      perl(XSLoader) perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))

%description
Compress-Raw-Bzip2 provides the interface to the bzip2 library for the modules
IO::Compress::Bzip2 and IO::Compress::Bunzip2.

%package_help

%prep
%autosetup -n Compress-Raw-Bzip2-%{version} -p1

%build
export BUILD_BZIP2=0 BZIP2_LIB=%{_libdir}
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc README
%license bzip2-src/LICENSE
%{perl_vendorarch}/*/*/*.pm
%{perl_vendorarch}/*/*/*/*/*.so

%files help
%doc Changes
%{_mandir}/man3/*

%changelog
* Mon Aug 24 2020 SimpleUpdate Robot <tc@openeuler.org> - 2.095-1
- Upgrade to version 2.095

* Wed May 13 2020 shenyangyang<shenyangyang4@huawei.com> - 2.081-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of perl-devel

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 2.081-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add LICENSE file

* Thu Sep 5 2019 shenyangyang<shenyangyang4@huawei.com> - 2.081-7
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:add license of bzip2-src in tarball

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.081-6
- Package init
